<?xml version="1.0" encoding="ISO-8859-1"?>

<!--
  Convert a WML file to HTML. Needs some work...
  2000/01/09 Max Kellermann
-->

<xsl:stylesheet	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		version="1.0">

<xsl:output method="html"/>

<xsl:template match="wml">
  <html>
    <head>
      <title><xsl:value-of select="card[1]/@title"/></title>
    </head>
    <body bgcolor="white">
      <xsl:apply-templates select="card"/>
    </body>
  </html>
</xsl:template>

<xsl:template match="card">
  <h1><xsl:value-of select="@title"/></h1>
  <xsl:apply-templates/>
</xsl:template>

<!-- Paragraph -->
<xsl:template match="p">
  <p><xsl:apply-templates/></p>
</xsl:template>

<!-- Bilder -->
<xsl:template match="br">
  <br></br>
</xsl:template>

<xsl:template match="img">
  <img alt="{@alt}" src="{@src}" align="{@align}" width="{@width}" height="{@height}"/>
</xsl:template>

<!-- Formatierungen -->

<xsl:template match="b">
  <b><xsl:apply-templates/></b>
</xsl:template>

<xsl:template match="i">
  <i><xsl:apply-templates/></i>
</xsl:template>

<xsl:template match="u">
  <u><xsl:apply-templates/></u>
</xsl:template>

<xsl:template match="string">
  <string><xsl:apply-templates/></string>
</xsl:template>

<xsl:template match="em">
  <em><xsl:apply-templates/></em>
</xsl:template>

<!-- Link -->

<xsl:template match="a">
  <a href="{@href}"><xsl:apply-templates/></a>
</xsl:template>

</xsl:stylesheet>
