/*
 *
 *  LeanEdit
 *  Copyright (c) 1999-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  $Id: ConverterException.java,v 1.2 2001/09/20 20:20:53 max Exp $
 *
 */

package org.leanedit.convert;

public class ConverterException extends Exception {
    /*properties************************/
    protected Exception exception;
    /*Constructor********************/
    public ConverterException(String msg) {
	super(msg);
    }
    public ConverterException(String msg, Exception _ex) {
	super(msg);
	exception = _ex;
    }
    public ConverterException(Exception _ex) {
	exception = _ex;
    }
    /*ConverterException*****************/
    public Exception getException() {
	return exception;
    }
}
