/*
 *
 *  LeanEdit
 *  Copyright (c) 1999-2001 Max Kellermann (max.kellermann@epost.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  $Id: TextView.java,v 1.3 2001/09/20 20:20:53 max Exp $
 *
 */

package org.leanedit.plugins.text.view;

import org.leanedit.plugins.text.tree.SwingText;
import org.leanedit.plugins.text.XmlTextPane;
import make.swing.text.view.LabelView;

final public class TextView extends LabelView {
    /***Constructor********************************/
    public TextView(SwingText elem) {
	super(elem);
    }
    protected void loadTextFromElement() {
	text.array = ((SwingText)getElement()).getText().getData().toCharArray();
	// TODO: paste workaround weg
	if (getElement().getLength()==1 && text.array.length==0)
	    text.array = new char[]{' '};
	/*XmlTextPane container = (XmlTextPane)getContainer();
	  if (container!=null && container.getPaintAll())
	  for (int z=0; z<text.array.length; z++)
	  if (text.array[z]==' ')
	  text.array[z] = '\u00b7';*/
    }
}
